/* 
 *	Copyright 2012 Foredoomed
 *	Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * 	Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License. 
 */

package org.conte.test.crud;

import java.util.List;

import org.conte.annotation.HasMany;
import org.conte.annotation.Id;
import org.conte.model.ActiveRecord;

public class Conte extends ActiveRecord {
	@Override
	public String toString() {
		return "Conte [id=" + id + ", name=" + name + ", address=" + address
				+ ", city=" + city + "]";
	}

	@Id
	private int id;
	private String name;
	private String address;
	private String city;

	// @HasOne(FK = "conteId")
	// private ConteOne conteOne;

	@HasMany(FK = "conteId")
	private List<ConteOne> list;

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

//	public ConteOne getConteOne() {
//		return conteOne;
//	}
//
//	public void setConteOne(ConteOne conteOne) {
//		this.conteOne = conteOne;
//	}

	public List<ConteOne> getList() {
		return list;
	}

	public void setList(List<ConteOne> list) {
		this.list = list;
	}

}
